using Newtonsoft.Json.Linq;

namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 人员群组(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghra)]
public class Ghra_StaffGroupController : BaseController<IGhra_StaffGroupServices, Ghra_StaffGroup, Ghra_StaffGroupDto, InsertGhra_StaffGroupInput, EditGhra_StaffGroupInput>
{
    public Ghra_StaffGroupController(IGhra_StaffGroupServices service) : base(service)
    {
       
    }
    /// <summary>
    /// 获取配置
    /// </summary> 
    /// <returns></returns>
    [HttpPost, Route("GetStaffInfoColumnData")]
    public async Task<ServiceResult<object>> GetStaffInfoColumnData() => await _service.GetStaffInfoColumnData();
    [HttpPost, Route("GetStaffGroupInfoByID/{Id}")]
    public async Task<ServiceResult<Dictionary<string, object>>> GetStaffGroupInfoByID(long Id, [FromBody] JObject FBody) => await _service.GetStaffGroupInfoByID(Id, FBody);
}